import { CompositeSpecification } from "@repo/rdx-ddd";
import { CustomerInvoice } from "../../domain";

export class StatusInvoiceIsApprovedSpecification extends CompositeSpecification<CustomerInvoice> {
  public async isSatisfiedBy(invoice: CustomerInvoice): Promise<boolean> {
    return invoice.status.isApproved();
  }
}
